Bug 125011 - Can't duplicate an object
Summary: Can't duplicate an object
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-28 15:58 UTC by rocher.jm
Modified: 2019-05-03 14:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample (12.08 KB, application/vnd.oasis.opendocument.graphics)
2019-04-28 15:58 UTC, rocher.jm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rocher.jm 2019-04-28 15:58:11 UTC
Created attachment 151054 [details]
sample

Version: 6.2.3.2 (x64)
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
Threads CPU : 2; OS : Windows 10.0; UI Render : par défaut; VCL: win; 
Locale : fr-FR (fr_FR); Langue IHM : fr-FR
Calc: threaded

When I try to duplicate an object in a drawing (both line or 2D), I can't modify the axes value neither width and height.
these fields seem stuck to a predefined value
I can modify the rotation value, but nothing append when I validate the duplication parameter box
Comment 1 Regina Henschel 2019-04-28 18:26:01 UTC
To be clear: This is about the "Duplicate"-dialog in menu "Shape".
I can confirm the problem. It is connected to the scaling factor 1:30, with scaling 1:1 the dialog works.

I see the error in Version: 6.2.2.2 (x64)
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

It works in Version: 6.1.4.2 (x64)
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL
So set keyword 'regression'.

To workaround the problem, you can use a portable version from the 6.1 series.
Comment 2 Aron Budea 2019-04-30 21:16:39 UTC
Bibisected to the following commit using repo bibisect-win32-6.2. Though all the repros are on Win so far, I'm assuming the bug is system-independent.
Adding Cc: to Caolán McNamara, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=87b5e2c0589ae7735f27d39186ced432eed7f7d0
author		Caolán McNamara <caolanm@redhat.com>	2018-09-19 21:16:54 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-20 09:59:56 +0200

weld CopyDlg
Comment 3 Commit Notification 2019-05-02 13:52:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/128145e227ef91fb2f23893e73d38ae72cf074e5%5E%21

tdf#125011 large ui scaling factor overflows spinbutton range

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-05-02 13:59:08 UTC
that seems to work in master now, backport for 6-2 in gerrit
Comment 5 Xisco Faulí 2019-05-03 14:51:49 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: f20810f7829d9f3b7167df316e1303810b746366
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-05-03 14:54:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ce641ca3aaf0294f1dca92bda9fd6848e6104aad%5E%21

tdf#125011 large ui scaling factor overflows spinbutton range

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.